<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.7.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.xdap</groupId>
    <artifactId>self_development</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>self_development</name>
    <description>自开发后端</description>

    <repositories>
        <repository>
            <id>dcloud-public</id>
            <url>https://registry.dfy.definesys.cn/repository/maven-public/</url>
        </repository>
    </repositories>

    <properties>
        <sonar.organization>zjh</sonar.organization>
        <java.version>1.8</java.version>
        <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
        <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
        <papaas.version>4.0.7-rc</papaas.version>
        <mpaas.version>apaas-1.1.18.4-RELEASE</mpaas.version>
        <lombok.version>1.18.34</lombok.version>
        <plugins.version>2.0.0</plugins.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.7.15</version>
        </dependency>
        <dependency>
            <groupId>com.xdap</groupId>
            <artifactId>runtime</artifactId>
            <version>${papaas.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.definesys.mpaas</groupId>
                    <artifactId>query-mongodb</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.xdap</groupId>
                    <artifactId>xdap-plugins-common</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.xdap</groupId>
                    <artifactId>common</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.34</version>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>com.definesys.mpaas</groupId>
            <artifactId>query-mongodb</artifactId>
            <version>${mpaas.version}</version>
        </dependency>
        <dependency>
            <groupId>com.xdap</groupId>
            <artifactId>xdap-plugins-common</artifactId>
            <version>${plugins.version}</version>
        </dependency>


        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>2.14.0-rc1</version>
        </dependency>
        <dependency>
            <groupId>com.xdap</groupId>
            <artifactId>common</artifactId>
            <version>${papaas.version}</version>
        </dependency>
    </dependencies>
    <profiles>
        <profile>
            <id>single</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.springframework.boot</groupId>
                        <artifactId>spring-boot-maven-plugin</artifactId>
                    </plugin>
                    <plugin>
                        <artifactId>maven-compiler-plugin</artifactId>
                        <version>3.6.0</version>
                        <configuration>
                            <source>1.8</source>
                            <target>1.8</target>
                            <encoding>UTF-8</encoding>
                            <compilerId>groovy-eclipse-compiler</compilerId>
                            <verbose>true</verbose>

                            <compilerArguments>

                                <javaAgentClass>lombok.launch.Agent</javaAgentClass>
                            </compilerArguments>
                            <fork>true</fork>
                        </configuration>
                        <dependencies>
                            <dependency>
                                <groupId>org.codehaus.groovy</groupId>
                                <artifactId>groovy-eclipse-compiler</artifactId>
                                <version>${groovy.eclipse.compiler.version}</version>
                            </dependency>

                            <dependency>
                                <groupId>org.codehaus.groovy</groupId>
                                <artifactId>groovy-eclipse-batch</artifactId>
                                <version>${groovy.eclipse.batch.version}</version>
                            </dependency>
                            <dependency>
                                <groupId>org.codehaus.plexus</groupId>
                                <artifactId>plexus-compiler-api</artifactId>
                                <version>2.8.1</version>
                            </dependency>
                            <dependency>
                                <groupId>org.projectlombok</groupId>
                                <artifactId>lombok</artifactId>
                                <version>${lombok.version}</version>
                            </dependency>
                        </dependencies>
                    </plugin>
                </plugins>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <excludes>
                            <exclude>**/application.properties</exclude>
                            <exclude>**/*.yml</exclude>
                        </excludes>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>lib</id>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <excludes>
                            <exclude>**/*.properties</exclude>
                            <exclude>**/*.yml</exclude>
                        </excludes>
                    </resource>
                </resources>
            </build>
        </profile>
    </profiles>
</project>